Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1536)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1537)
@@ -27,6 +27,7 @@
 //
 package org.txm.rcp;
 
+import java.io.File;
 import java.util.Arrays;
 import java.util.List;
 import java.util.Map;
@@ -69,12 +70,31 @@
 	 */
 	@Override
 	public Object start(IApplicationContext context) throws Exception {
+
+		// load JVM fonts in SWT env
+		if (System.getProperty("os.name").contains("Linux")) { // $NON-NLS-1$ $NON-NLS-2$
+			File javaFontsPath = new File(System.getProperty("java.home")
+					+ System.getProperty("file.separator") + "lib"
+					+ System.getProperty("file.separator") + "fonts"
+					+ System.getProperty("file.separator"));
+
+			String[] fontFiles = javaFontsPath.list();
+			for (int i = 0; i < fontFiles.length; i++) {
+				if(fontFiles[i].endsWith(".ttf"))    { //$NON-NLS-1$
+					File fontFile = new File(javaFontsPath, fontFiles[i]);
+					Log.finest("Loading Java font to SWT Device from file " + fontFile + "...");
+					// Load the font in SWT
+					Display.getDefault().loadFont(fontFile.getAbsolutePath());
+				}
+			}
+		}
+
 		Map args = context.getArguments();
 
 		List<String> argsList = Arrays.asList((String[])(args.get("application.args"))); //$NON-NLS-1$
-		
+
 		System.out.println(TXMCoreMessages.bind(TXMUIMessages.argsColon, argsList));
-		
+
 		if (argsList.contains("-log")) { //$NON-NLS-1$
 			System.out.println(TXMUIMessages.logOptionDetected);
 			Log.setPrintInConsole(true);
@@ -87,39 +107,39 @@
 		if (argsList.contains("-run")) { //$NON-NLS-1$
 			//System.out.println("Running TXM");
 			// FIXME: need to check that all has been well moved in Workspace class or build.properties
-//		} else if (argsList.contains("-standalone")) { //$NON-NLS-1$
-//			File userhomeDirectory = new File("workspace").getAbsoluteFile(); // eclipse default workspace directory
-//			File defaultWorkspaceFile = new File("workspace/corpora/default.xml");
-//			if (!defaultWorkspaceFile.exists()) {
-//				System.out.println("Stand alone launch, creating minimal TXM user home directory in "+userhomeDirectory.getAbsolutePath());
-//				System.out.println("Sample corpora, scripts, import scripts and macros files are not yet installed.");
-//				
-//				TBXPreferences.getInstance().put(TBXPreferences.USER_TXM_HOME, userhomeDirectory.getAbsolutePath());
-//				TBXPreferences.getInstance().put(TBXPreferences.INSTALL_DIR, userhomeDirectory.getParentFile().getAbsolutePath());
-//				
-//				File corpusworkspaceDirectory = new File(userhomeDirectory, "workspaces");
-//				corpusworkspaceDirectory.mkdirs();
-//
-//				String createfolders[] = {
-//						"corpora", "clipboard", //$NON-NLS-1$ //$NON-NLS-2$
-//						"workspaces", "css", "scripts", "scripts/lib", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-//						"scripts/macro", "scripts/user", "xsl", "samples", "schema", "R"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-//
-//				for (String folder : createfolders) {
-//					new File(userhomeDirectory, folder).mkdir();
-//				}
-//
-//				Workspace.createEmptyWorkspaceDefinition(new File(corpusworkspaceDirectory, "default.xml")); //$NON-NLS-1$
-//				BundleUtils.copyFiles("org.txm.core",  "res", "org/txm", "css", new File(userhomeDirectory, "css"));
-//				BundleUtils.copyFiles("org.txm.core",  "res", "org/txm/xml", "xsl", new File(userhomeDirectory, "xsl"));
-//				BundleUtils.copyFiles("org.txm.core",  "res", "org/txm/xml", "schema", new File(userhomeDirectory, "schema"));
-//				File scriptsDirectory = new File(userhomeDirectory, "scripts");
-//				new File(scriptsDirectory, "user").mkdir();
-//				new File(scriptsDirectory, "import").mkdir();
-//				new File(scriptsDirectory, "lib").mkdir();
-//				new File(scriptsDirectory, "macro").mkdir();
-//				new File(scriptsDirectory, "samples").mkdir();
-//			}
+			//		} else if (argsList.contains("-standalone")) { //$NON-NLS-1$
+			//			File userhomeDirectory = new File("workspace").getAbsoluteFile(); // eclipse default workspace directory
+			//			File defaultWorkspaceFile = new File("workspace/corpora/default.xml");
+			//			if (!defaultWorkspaceFile.exists()) {
+			//				System.out.println("Stand alone launch, creating minimal TXM user home directory in "+userhomeDirectory.getAbsolutePath());
+			//				System.out.println("Sample corpora, scripts, import scripts and macros files are not yet installed.");
+			//				
+			//				TBXPreferences.getInstance().put(TBXPreferences.USER_TXM_HOME, userhomeDirectory.getAbsolutePath());
+			//				TBXPreferences.getInstance().put(TBXPreferences.INSTALL_DIR, userhomeDirectory.getParentFile().getAbsolutePath());
+			//				
+			//				File corpusworkspaceDirectory = new File(userhomeDirectory, "workspaces");
+			//				corpusworkspaceDirectory.mkdirs();
+			//
+			//				String createfolders[] = {
+			//						"corpora", "clipboard", //$NON-NLS-1$ //$NON-NLS-2$
+			//						"workspaces", "css", "scripts", "scripts/lib", //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+			//						"scripts/macro", "scripts/user", "xsl", "samples", "schema", "R"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+			//
+			//				for (String folder : createfolders) {
+			//					new File(userhomeDirectory, folder).mkdir();
+			//				}
+			//
+			//				Workspace.createEmptyWorkspaceDefinition(new File(corpusworkspaceDirectory, "default.xml")); //$NON-NLS-1$
+			//				BundleUtils.copyFiles("org.txm.core",  "res", "org/txm", "css", new File(userhomeDirectory, "css"));
+			//				BundleUtils.copyFiles("org.txm.core",  "res", "org/txm/xml", "xsl", new File(userhomeDirectory, "xsl"));
+			//				BundleUtils.copyFiles("org.txm.core",  "res", "org/txm/xml", "schema", new File(userhomeDirectory, "schema"));
+			//				File scriptsDirectory = new File(userhomeDirectory, "scripts");
+			//				new File(scriptsDirectory, "user").mkdir();
+			//				new File(scriptsDirectory, "import").mkdir();
+			//				new File(scriptsDirectory, "lib").mkdir();
+			//				new File(scriptsDirectory, "macro").mkdir();
+			//				new File(scriptsDirectory, "samples").mkdir();
+			//			}
 		} else {
 			System.err.println("TXM must be launch with the argument '-run' to start."); //$NON-NLS-1$
 			System.err.println(TXMUIMessages.thisFileIsNotMeantToRunTXMPleaseConsultTXMUserManual);
@@ -233,60 +253,60 @@
 		}	
 	}
 
-//	/**
-//	 * Parses the command line.
-//	 *
-//	 * @return true, if successful
-//	 * @deprecated, parse the command line the list optionsForPreferences must
-//	 * be edited too add options
-//	 */
-//	private boolean parseCommandLine() {
-//		boolean exit = false;
-//		String[] optionsForPreferences = {
-//				CQPLibPreferences.CQI_SERVER_PATH_TO_EXECUTABLE,
-//				CQPLibPreferences.CQI_SERVER_PATH_TO_INIT_FILE,
-//				//				TBXPreferences.CQI_SERVER_PATH_TO_REGISTRY,
-//				RPreferences.PATH_TO_EXECUTABLE,
-//				TBXPreferences.INSTALL_DIR };
-//		String setPrefAndExit = "setPrefAndExit"; //$NON-NLS-1$
-//
-//		Options options = new Options();
-//		options.addOption(OptionBuilder.create("product")); //option passed here when run as an eclipse application. Recognized to prevent a UnrecognizedOptionException //$NON-NLS-1$
-//		options.addOption(OptionBuilder.create(setPrefAndExit));
-//		for (String preference : optionsForPreferences)
-//			options.addOption(OptionBuilder.withValueSeparator().hasArgs()
-//					.create(preference));
-//
-//		Parser parser = new GnuParser();
-//		CommandLine cl;
-//		try {
-//			cl = parser.parse(options, Platform.getCommandLineArgs());
-//		} catch (ParseException e) {
-//
-//			System.err.println(NLS.bind(TXMUIMessages.FAILED_TO_PARSE_OPTIONS,
-//					StringUtils.join(Platform.getCommandLineArgs(), " "), e)); //$NON-NLS-1$
-//			org.txm.rcp.utils.Logger.printStackTrace(e);
-//			exit = true;
-//			return exit;
-//		}
-//
-//		ScopedPreferenceStore preferences = new ScopedPreferenceStore(
-//				org.eclipse.core.runtime.preferences.InstanceScope.INSTANCE, Application.PLUGIN_ID);
-//		for (String preference : optionsForPreferences)
-//			if (cl.hasOption(preference)) {
-//				preferences.setValue(preference, cl.getOptionValue(preference));
-//			}
-//
-//		try {
-//			preferences.save();
-//		} catch (IOException e) {
-//			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesColonP0, e));
-//			exit = true;
-//			return exit;
-//		}
-//
-//		if (cl.hasOption(setPrefAndExit))
-//			exit = true;
-//		return exit;
-//	}
+	//	/**
+	//	 * Parses the command line.
+	//	 *
+	//	 * @return true, if successful
+	//	 * @deprecated, parse the command line the list optionsForPreferences must
+	//	 * be edited too add options
+	//	 */
+	//	private boolean parseCommandLine() {
+	//		boolean exit = false;
+	//		String[] optionsForPreferences = {
+	//				CQPLibPreferences.CQI_SERVER_PATH_TO_EXECUTABLE,
+	//				CQPLibPreferences.CQI_SERVER_PATH_TO_INIT_FILE,
+	//				//				TBXPreferences.CQI_SERVER_PATH_TO_REGISTRY,
+	//				RPreferences.PATH_TO_EXECUTABLE,
+	//				TBXPreferences.INSTALL_DIR };
+	//		String setPrefAndExit = "setPrefAndExit"; //$NON-NLS-1$
+	//
+	//		Options options = new Options();
+	//		options.addOption(OptionBuilder.create("product")); //option passed here when run as an eclipse application. Recognized to prevent a UnrecognizedOptionException //$NON-NLS-1$
+	//		options.addOption(OptionBuilder.create(setPrefAndExit));
+	//		for (String preference : optionsForPreferences)
+	//			options.addOption(OptionBuilder.withValueSeparator().hasArgs()
+	//					.create(preference));
+	//
+	//		Parser parser = new GnuParser();
+	//		CommandLine cl;
+	//		try {
+	//			cl = parser.parse(options, Platform.getCommandLineArgs());
+	//		} catch (ParseException e) {
+	//
+	//			System.err.println(NLS.bind(TXMUIMessages.FAILED_TO_PARSE_OPTIONS,
+	//					StringUtils.join(Platform.getCommandLineArgs(), " "), e)); //$NON-NLS-1$
+	//			org.txm.rcp.utils.Logger.printStackTrace(e);
+	//			exit = true;
+	//			return exit;
+	//		}
+	//
+	//		ScopedPreferenceStore preferences = new ScopedPreferenceStore(
+	//				org.eclipse.core.runtime.preferences.InstanceScope.INSTANCE, Application.PLUGIN_ID);
+	//		for (String preference : optionsForPreferences)
+	//			if (cl.hasOption(preference)) {
+	//				preferences.setValue(preference, cl.getOptionValue(preference));
+	//			}
+	//
+	//		try {
+	//			preferences.save();
+	//		} catch (IOException e) {
+	//			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesColonP0, e));
+	//			exit = true;
+	//			return exit;
+	//		}
+	//
+	//		if (cl.hasOption(setPrefAndExit))
+	//			exit = true;
+	//		return exit;
+	//	}
 }
\ No newline at end of file
